Entur Developer
Customers API

Api for creating, fetching, modifying and deleting customers and related information.


Find customer by customer number

GET
https://api.entur.io/customers/v2
/profiles/{customerNumber}

Gets a customer with related information. If the passed customer number is for a merged and passive customer, the result will instead be the active, merged customer. Thus, you may find a customer with a different customer number than you specified in the URL.

Find customer by customer number › path Parameters

customerNumber
​integer · int64 · required · style: simple

Find customer by customer number › query Parameters

includeECards
​boolean · style: form · explode: true
includePersonnelTicket
​boolean · style: form · explode: true
includePreferences
​boolean · style: form · explode: true
includeDeleted
​boolean · style: form · explode: true
includeNotes
​boolean · style: form · explode: true

Find customer by customer number › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Find customer by customer number › Responses

OK

A registered customer response
changedAt
​string · date-time · required

When the customer was last changed. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
changedBy
​string · maxLength: 100 · required

Who last changed the customer. Either web, app or username of employee. Used for traceability in accordance with GDPR

changedByChannel
​string · maxLength: 100 · required

Which sales channel or system who last changed the customer. Used for traceability in accordance with GDPR

createdAt
​string · date-time · required

When the customer was created. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
createdBy
​string · maxLength: 100 · required

Who created the customer. Either web, app or username of employee. Used for traceability in accordance with GDPR

createdByChannel
​string · maxLength: 100 · required

Which sales channel or system who created the customer. Used for traceability in accordance with GDPR

customerNumber
​integer · int64 · required

Customer number.

firstName
​string · maxLength: 50 · required

First and middle name.

organisationId
​integer · int64 · required

The organisation the customer is registered with.

profileType
​string · enum · required

Type of profile. Types supported: 'S' = Standard customer, 'P' = Personnel ticket customer, 'T' = Temporary customer. Default is 'S'.

Enum values:
S
P
T
status
​string · enum · required

Customer status. Statuses supported: 'A' = Active, 'P' = Passive, 'D' = Deleted. Default is 'A'.

Enum values:
A
P
D
surname
​string · maxLength: 50 · required

Surname.

uuid
​string · minLength: 32 · maxLength: 32 · required

A universal unique id for the customer. 32 random alphanumeric characters. Not RFC 4122 compliant

Example: 7018222E18CB5C46E05400144FF9F89C
countryCode
​string · maxLength: 4

Telephone number country code, starting with +.

Example: +47
customerAccountId
​string · maxLength: 60

Customer account id used for account based ticketing

Example: XYZ:CustomerAccount:<uuid>
​CustomerAccountResponse[]

Customer accounts used for account based ticketing

​CustomerConsent[]

The legacy consents connected to the customer.

customerRef
​string · maxLength: 40

Optional customer reference. Defaults to customer number if not set.

​LocalDateResponse

Date as object

​LocalDateResponse

Date as object

​EcardOwnershipResponse[]

The ecards connected to the customer.

email
​string · maxLength: 80

Contact email. May become different from username

emailOld
​string · maxLength: 80

When customer is deleted (status='D'), the value of 'email' is moved here to allow creation of a new customer with the same email.

emailVerifiedAt
​string · date-time

When the email was verified. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
expirationDate
​string · date-time

The date when the customers personal data should be deleted. Personal data will be deleted continuously. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
landlineNumber
​string · maxLength: 20

Landline telephone number.

languagePreferenceISO6393
​string · enum

Which language the customer wants information in. ISO 639-3 format. Default is 'NOB'.

Enum values:
NOB
NNO
ENG
lastSignInAt
​string · date-time

When the customer last signed in. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
lastSignInFrom
​string · maxLength: 100

Where the customer last signed in from. Typically web or app. Typically used to display to the user where the last login was performed.

nationality
​string · minLength: 3 · maxLength: 3

The customers nationality. ISO 3166-1 alpha-3 format

Example: NOR
parentId
​object

Id of the parent customer. Used to connect different customer types.

​PersonnelTicketBearer

The personnel tickets connected to the customer. Deprecated. Does not contain updated information.

​PostalAddressResponse[]

The postal addresses connected to the customer.

The preferences connected to the customer.

relatedCustomerNumbers
​integer[]

The customer number of profiles which has been merged into the current profile. These may be used to lookup customer information in other systems

telephoneNumber
​string · maxLength: 20

Deprecated. Please use countryCode and telephoneNumberNoCountryCode. Telephone number for customer. This should be a cell phone number.

telephoneNumberNoCountryCode
​string · maxLength: 12

Telephone number without country code or punctuation.

telephoneNumberVerifiedAt
​string · date-time

When the telephone number was verified. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
username
​string

Username the customer can use to log unto their profile. Only available on profile type S(tamkunde) and profile status A(ctive)


Update customer

PUT
https://api.entur.io/customers/v2
/profiles/{customerNumber}

Updates a customer with the added data. If an address is not specified in the request, it will not be changed. After the update is complete, an UPDATE event will be added to the customer-changes queue.

Update customer › path Parameters

customerNumber
​integer · int64 · required · style: simple

Update customer › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Update customer › Request Body

A registered customer put request. Required fields are firstName, surname, password, organizationId, changedBy and changedByChannel.
changedBy
​string · maxLength: 100 · required

Who last changed the customer. Either web, app or username of employee. Used for traceability in accordance with GDPR

changedByChannel
​string · maxLength: 100 · required

Which sales channel or system who last changed the customer. Used for traceability in accordance with GDPR

firstName
​string · maxLength: 50 · required

First and middle name.

surname
​string · maxLength: 50 · required

Surname.

countryCode
​string · maxLength: 4

Telephone number country code, starting with +.

Example: +47
dateOfBirth
​string · date

Date of birth. ISO 8601 date format

Example: 2019-04-05
email
​string · maxLength: 80

Email used for contact and potentially also for login

emailVerifiedAt
​string · date-time

When the email was verified. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
expirationDate
​string · date-time

The date when the customers personal data should be deleted. Personal data will be deleted continuously. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
landlineNumber
​string · maxLength: 80

Landline telephone number.

languagePreferenceISO6393
​string · enum

Which language the customer wants information in. ISO 639-3 format. Default is 'NOB'.

Enum values:
NOB
NNO
ENG
nationality
​string · minLength: 3 · maxLength: 3

The customers nationality. ISO 3166-1 alpha-3 format

Example: NOR
​PostalAddressRequest[]

The postal addresses connected to the customer.

status
​string · enum

Customer status. Statuses supported: 'A' = Active, 'P' = Passive, 'D' = Deleted. Default is 'A'.

Enum values:
A
P
D
Default: A
telephoneNumber
​string · maxLength: 80

Deprecated. Please use countryCode and telephoneNumberNoCountryCode. Telephone number for customer. This should be a cell phone number.

telephoneNumberNoCountryCode
​string · maxLength: 12

Telephone number without country code or punctuation.

telephoneNumberVerifiedAt
​string · date-time

When the telephone number was verified. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00

Update customer › Responses

OK

A registered customer response
changedAt
​string · date-time · required

When the customer was last changed. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
changedBy
​string · maxLength: 100 · required

Who last changed the customer. Either web, app or username of employee. Used for traceability in accordance with GDPR

changedByChannel
​string · maxLength: 100 · required

Which sales channel or system who last changed the customer. Used for traceability in accordance with GDPR

createdAt
​string · date-time · required

When the customer was created. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
createdBy
​string · maxLength: 100 · required

Who created the customer. Either web, app or username of employee. Used for traceability in accordance with GDPR

createdByChannel
​string · maxLength: 100 · required

Which sales channel or system who created the customer. Used for traceability in accordance with GDPR

customerNumber
​integer · int64 · required

Customer number.

firstName
​string · maxLength: 50 · required

First and middle name.

organisationId
​integer · int64 · required

The organisation the customer is registered with.

profileType
​string · enum · required

Type of profile. Types supported: 'S' = Standard customer, 'P' = Personnel ticket customer, 'T' = Temporary customer. Default is 'S'.

Enum values:
S
P
T
status
​string · enum · required

Customer status. Statuses supported: 'A' = Active, 'P' = Passive, 'D' = Deleted. Default is 'A'.

Enum values:
A
P
D
surname
​string · maxLength: 50 · required

Surname.

uuid
​string · minLength: 32 · maxLength: 32 · required

A universal unique id for the customer. 32 random alphanumeric characters. Not RFC 4122 compliant

Example: 7018222E18CB5C46E05400144FF9F89C
countryCode
​string · maxLength: 4

Telephone number country code, starting with +.

Example: +47
customerAccountId
​string · maxLength: 60

Customer account id used for account based ticketing

Example: XYZ:CustomerAccount:<uuid>
​CustomerAccountResponse[]

Customer accounts used for account based ticketing

​CustomerConsent[]

The legacy consents connected to the customer.

customerRef
​string · maxLength: 40

Optional customer reference. Defaults to customer number if not set.

​LocalDateResponse

Date as object

​LocalDateResponse

Date as object

​EcardOwnershipResponse[]

The ecards connected to the customer.

email
​string · maxLength: 80

Contact email. May become different from username

emailOld
​string · maxLength: 80

When customer is deleted (status='D'), the value of 'email' is moved here to allow creation of a new customer with the same email.

emailVerifiedAt
​string · date-time

When the email was verified. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
expirationDate
​string · date-time

The date when the customers personal data should be deleted. Personal data will be deleted continuously. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
landlineNumber
​string · maxLength: 20

Landline telephone number.

languagePreferenceISO6393
​string · enum

Which language the customer wants information in. ISO 639-3 format. Default is 'NOB'.

Enum values:
NOB
NNO
ENG
lastSignInAt
​string · date-time

When the customer last signed in. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
lastSignInFrom
​string · maxLength: 100

Where the customer last signed in from. Typically web or app. Typically used to display to the user where the last login was performed.

nationality
​string · minLength: 3 · maxLength: 3

The customers nationality. ISO 3166-1 alpha-3 format

Example: NOR
parentId
​object

Id of the parent customer. Used to connect different customer types.

​PersonnelTicketBearer

The personnel tickets connected to the customer. Deprecated. Does not contain updated information.

​PostalAddressResponse[]

The postal addresses connected to the customer.

The preferences connected to the customer.

relatedCustomerNumbers
​integer[]

The customer number of profiles which has been merged into the current profile. These may be used to lookup customer information in other systems

telephoneNumber
​string · maxLength: 20

Deprecated. Please use countryCode and telephoneNumberNoCountryCode. Telephone number for customer. This should be a cell phone number.

telephoneNumberNoCountryCode
​string · maxLength: 12

Telephone number without country code or punctuation.

telephoneNumberVerifiedAt
​string · date-time

When the telephone number was verified. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
username
​string

Username the customer can use to log unto their profile. Only available on profile type S(tamkunde) and profile status A(ctive)


Restore deactivated customer

PUT
https://api.entur.io/customers/v2
/profiles/{customerNumber}/restore

Restores a deactivated customer. This means reinstating the status it had before deletion. If another customer has been registered for the same organisation with the same email address since marking for deactivation, the restoration will fail.

Restore deactivated customer › path Parameters

customerNumber
​integer · int64 · required · style: simple

Restore deactivated customer › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Restore deactivated customer › Responses

OK

A registered customer response
changedAt
​string · date-time · required

When the customer was last changed. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
changedBy
​string · maxLength: 100 · required

Who last changed the customer. Either web, app or username of employee. Used for traceability in accordance with GDPR

changedByChannel
​string · maxLength: 100 · required

Which sales channel or system who last changed the customer. Used for traceability in accordance with GDPR

createdAt
​string · date-time · required

When the customer was created. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
createdBy
​string · maxLength: 100 · required

Who created the customer. Either web, app or username of employee. Used for traceability in accordance with GDPR

createdByChannel
​string · maxLength: 100 · required

Which sales channel or system who created the customer. Used for traceability in accordance with GDPR

customerNumber
​integer · int64 · required

Customer number.

firstName
​string · maxLength: 50 · required

First and middle name.

organisationId
​integer · int64 · required

The organisation the customer is registered with.

profileType
​string · enum · required

Type of profile. Types supported: 'S' = Standard customer, 'P' = Personnel ticket customer, 'T' = Temporary customer. Default is 'S'.

Enum values:
S
P
T
status
​string · enum · required

Customer status. Statuses supported: 'A' = Active, 'P' = Passive, 'D' = Deleted. Default is 'A'.

Enum values:
A
P
D
surname
​string · maxLength: 50 · required

Surname.

uuid
​string · minLength: 32 · maxLength: 32 · required

A universal unique id for the customer. 32 random alphanumeric characters. Not RFC 4122 compliant

Example: 7018222E18CB5C46E05400144FF9F89C
countryCode
​string · maxLength: 4

Telephone number country code, starting with +.

Example: +47
customerAccountId
​string · maxLength: 60

Customer account id used for account based ticketing

Example: XYZ:CustomerAccount:<uuid>
​CustomerAccountResponse[]

Customer accounts used for account based ticketing

​CustomerConsent[]

The legacy consents connected to the customer.

customerRef
​string · maxLength: 40

Optional customer reference. Defaults to customer number if not set.

​LocalDateResponse

Date as object

​LocalDateResponse

Date as object

​EcardOwnershipResponse[]

The ecards connected to the customer.

email
​string · maxLength: 80

Contact email. May become different from username

emailOld
​string · maxLength: 80

When customer is deleted (status='D'), the value of 'email' is moved here to allow creation of a new customer with the same email.

emailVerifiedAt
​string · date-time

When the email was verified. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
expirationDate
​string · date-time

The date when the customers personal data should be deleted. Personal data will be deleted continuously. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
landlineNumber
​string · maxLength: 20

Landline telephone number.

languagePreferenceISO6393
​string · enum

Which language the customer wants information in. ISO 639-3 format. Default is 'NOB'.

Enum values:
NOB
NNO
ENG
lastSignInAt
​string · date-time

When the customer last signed in. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
lastSignInFrom
​string · maxLength: 100

Where the customer last signed in from. Typically web or app. Typically used to display to the user where the last login was performed.

nationality
​string · minLength: 3 · maxLength: 3

The customers nationality. ISO 3166-1 alpha-3 format

Example: NOR
parentId
​object

Id of the parent customer. Used to connect different customer types.

​PersonnelTicketBearer

The personnel tickets connected to the customer. Deprecated. Does not contain updated information.

​PostalAddressResponse[]

The postal addresses connected to the customer.

The preferences connected to the customer.

relatedCustomerNumbers
​integer[]

The customer number of profiles which has been merged into the current profile. These may be used to lookup customer information in other systems

telephoneNumber
​string · maxLength: 20

Deprecated. Please use countryCode and telephoneNumberNoCountryCode. Telephone number for customer. This should be a cell phone number.

telephoneNumberNoCountryCode
​string · maxLength: 12

Telephone number without country code or punctuation.

telephoneNumberVerifiedAt
​string · date-time

When the telephone number was verified. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
username
​string

Username the customer can use to log unto their profile. Only available on profile type S(tamkunde) and profile status A(ctive)


Find all preferences for customer

GET
https://api.entur.io/customers/v2
/profiles/{customerNumber}/preferences

Get all customer preferences for the given customer number.

Find all preferences for customer › path Parameters

customerNumber
​integer · int64 · required · style: simple

Find all preferences for customer › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Find all preferences for customer › Responses

OK

​object[]

Bulk update customer preferences

PUT
https://api.entur.io/customers/v2
/profiles/{customerNumber}/preferences

Replaces all a customers preferences with the supplied list. All existing preferences will be deleted! Use with caution.

Bulk update customer preferences › path Parameters

customerNumber
​integer · int64 · required · style: simple

Bulk update customer preferences › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Bulk update customer preferences › Request Body

Preferences request for a customer
preferenceId
​integer · int64 · required

Id of the preference

preferenceValue
​string · maxLength: 100

Value of the preference. This can be things like membership number.

Bulk update customer preferences › Responses

OK

Preferences response for a customer
changedAt
​string · date-time · required

When the customer preference was last changed. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
createdAt
​string · date-time · required

When the customer preference was created. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
​PreferenceResponse · required

Preference

preferenceId
​integer · int64 · required

Id of the preference

preferenceValue
​string · minLength: 1 · maxLength: 100

Value of the preference. This can be things like membership number.


Create customer preference

POST
https://api.entur.io/customers/v2
/profiles/{customerNumber}/preferences

Create a new customer preference. This will fail if the customer already has that preference set.

Create customer preference › path Parameters

customerNumber
​integer · int64 · required · style: simple

Create customer preference › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Create customer preference › Request Body

Preferences request for a customer
preferenceId
​integer · int64 · required

Id of the preference

preferenceValue
​string · maxLength: 100

Value of the preference. This can be things like membership number.

Create customer preference › Responses

OK

Preferences response for a customer
changedAt
​string · date-time · required

When the customer preference was last changed. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
createdAt
​string · date-time · required

When the customer preference was created. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
​PreferenceResponse · required

Preference

preferenceId
​integer · int64 · required

Id of the preference

preferenceValue
​string · minLength: 1 · maxLength: 100

Value of the preference. This can be things like membership number.


Find a specific preference for customer

GET
https://api.entur.io/customers/v2
/profiles/{customerNumber}/preferences/{preferenceId}

Get a specific customer preference by preference Id.

Find a specific preference for customer › path Parameters

customerNumber
​integer · int64 · required · style: simple
preferenceId
​integer · int64 · required · style: simple

Find a specific preference for customer › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Find a specific preference for customer › Responses

OK

Preferences response for a customer
changedAt
​string · date-time · required

When the customer preference was last changed. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
createdAt
​string · date-time · required

When the customer preference was created. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
​PreferenceResponse · required

Preference

preferenceId
​integer · int64 · required

Id of the preference

preferenceValue
​string · minLength: 1 · maxLength: 100

Value of the preference. This can be things like membership number.


Update a customer preference

PUT
https://api.entur.io/customers/v2
/profiles/{customerNumber}/preferences/{preferenceId}

Set a new value for a given customer preference. This will fail if the customer doesn't have this preference set already.

Update a customer preference › path Parameters

customerNumber
​integer · int64 · required · style: simple
preferenceId
​integer · int64 · required · style: simple

Update a customer preference › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Update a customer preference › Request Body

Preferences request for a customer
preferenceId
​integer · int64 · required

Id of the preference

preferenceValue
​string · maxLength: 100

Value of the preference. This can be things like membership number.

Update a customer preference › Responses

OK

Preferences response for a customer
changedAt
​string · date-time · required

When the customer preference was last changed. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
createdAt
​string · date-time · required

When the customer preference was created. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
​PreferenceResponse · required

Preference

preferenceId
​integer · int64 · required

Id of the preference

preferenceValue
​string · minLength: 1 · maxLength: 100

Value of the preference. This can be things like membership number.


Delete a customer preference

DELETE
https://api.entur.io/customers/v2
/profiles/{customerNumber}/preferences/{preferenceId}

Deletes the given customer preference from the database.

Delete a customer preference › path Parameters

customerNumber
​integer · int64 · required · style: simple
preferenceId
​integer · int64 · required · style: simple

Delete a customer preference › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Delete a customer preference › Responses

No Content

No data returned

Update postal address

PUT
https://api.entur.io/customers/v2
/profiles/{customerNumber}/postal-addresses/{postalAddressId}

Updates an existing postal address on the customer.

Update postal address › path Parameters

customerNumber
​integer · int64 · required · style: simple
postalAddressId
​integer · int64 · required · style: simple

Update postal address › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Update postal address › Request Body

Postal address connected to a customer
countryCode
​string · minLength: 3 · maxLength: 3 · required

The address country code. ISO 3166-1 alpha-3 format

Example: NOR
postCode
​string · maxLength: 10 · required

The address post code. Only 4 digits for Norwegian addresses.

town
​string · required

The address post town. Will be required

typeOfAddress
​string · enum · required

The type of address. Types supported: 'P' = Private, 'I' = Invoice, 'S' = Shadow.

Enum values:
P
I
S
addressLine1
​string · maxLength: 80

Address line 1.

addressLine2
​string · maxLength: 80

Address line 2, often used for c/o information.

id
​integer · int64

Unique id for postal address. This value is exclusively used when updating a full customer, to identify which of the addresses to update. Otherwise it is ignored.

verifiedAt
​string · date-time

When the address was verified. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00

Update postal address › Responses

OK

Postal address connected to a customer
changedAt
​string · date-time · required

When the postal address was last changed. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
countryCode
​string · minLength: 3 · maxLength: 3 · required

The address country code. ISO 3166-1 alpha-3 format

Example: NOR
createdAt
​string · date-time · required

When the postal address was created. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
customerId
​integer · int64 · required

The customer connected to the address.

id
​integer · int64 · required

Postal address id.

postCode
​string · maxLength: 10 · required

The address post code.

town
​string · maxLength: 50 · required

The address post town.

typeOfAddress
​string · enum · required

The type of address. Types supported: 'P' = Private, 'I' = Invoice, 'S' = Shadow.

Enum values:
P
I
S
addressLine1
​string · maxLength: 80

Address line 1.

addressLine2
​string · maxLength: 80

Address line 2, often used for c/o information.

verifiedAt
​string · date-time

When the address was verified. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00

Delete postal address

DELETE
https://api.entur.io/customers/v2
/profiles/{customerNumber}/postal-addresses/{postalAddressId}

Deletes the given postal address from the customer.

Delete postal address › path Parameters

customerNumber
​integer · int64 · required · style: simple
postalAddressId
​integer · int64 · required · style: simple

Delete postal address › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Delete postal address › Responses

No Content

No data returned

Merge customers

PUT
https://api.entur.io/customers/v2
/profiles/{customerNumber}/merge-personnel-ticket-profile/{pticketCustomerNumber}

Merge a personnel ticket customer with a standard customer. Given the customer number to a profile that has been created solely for being the recipient of a personnel ticket, you can merge that profile into an active profile. In practice this deletes the personnel ticket profile and transfers any tickets onto the current profile.

Merge customers › path Parameters

customerNumber
​integer · int64 · required · style: simple
pticketCustomerNumber
​integer · int64 · required · style: simple

Merge customers › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Merge customers › Responses

OK

A registered customer response
changedAt
​string · date-time · required

When the customer was last changed. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
changedBy
​string · maxLength: 100 · required

Who last changed the customer. Either web, app or username of employee. Used for traceability in accordance with GDPR

changedByChannel
​string · maxLength: 100 · required

Which sales channel or system who last changed the customer. Used for traceability in accordance with GDPR

createdAt
​string · date-time · required

When the customer was created. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
createdBy
​string · maxLength: 100 · required

Who created the customer. Either web, app or username of employee. Used for traceability in accordance with GDPR

createdByChannel
​string · maxLength: 100 · required

Which sales channel or system who created the customer. Used for traceability in accordance with GDPR

customerNumber
​integer · int64 · required

Customer number.

firstName
​string · maxLength: 50 · required

First and middle name.

organisationId
​integer · int64 · required

The organisation the customer is registered with.

profileType
​string · enum · required

Type of profile. Types supported: 'S' = Standard customer, 'P' = Personnel ticket customer, 'T' = Temporary customer. Default is 'S'.

Enum values:
S
P
T
status
​string · enum · required

Customer status. Statuses supported: 'A' = Active, 'P' = Passive, 'D' = Deleted. Default is 'A'.

Enum values:
A
P
D
surname
​string · maxLength: 50 · required

Surname.

uuid
​string · minLength: 32 · maxLength: 32 · required

A universal unique id for the customer. 32 random alphanumeric characters. Not RFC 4122 compliant

Example: 7018222E18CB5C46E05400144FF9F89C
countryCode
​string · maxLength: 4

Telephone number country code, starting with +.

Example: +47
customerAccountId
​string · maxLength: 60

Customer account id used for account based ticketing

Example: XYZ:CustomerAccount:<uuid>
​CustomerAccountResponse[]

Customer accounts used for account based ticketing

​CustomerConsent[]

The legacy consents connected to the customer.

customerRef
​string · maxLength: 40

Optional customer reference. Defaults to customer number if not set.

​LocalDateResponse

Date as object

​LocalDateResponse

Date as object

​EcardOwnershipResponse[]

The ecards connected to the customer.

email
​string · maxLength: 80

Contact email. May become different from username

emailOld
​string · maxLength: 80

When customer is deleted (status='D'), the value of 'email' is moved here to allow creation of a new customer with the same email.

emailVerifiedAt
​string · date-time

When the email was verified. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
expirationDate
​string · date-time

The date when the customers personal data should be deleted. Personal data will be deleted continuously. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
landlineNumber
​string · maxLength: 20

Landline telephone number.

languagePreferenceISO6393
​string · enum

Which language the customer wants information in. ISO 639-3 format. Default is 'NOB'.

Enum values:
NOB
NNO
ENG
lastSignInAt
​string · date-time

When the customer last signed in. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
lastSignInFrom
​string · maxLength: 100

Where the customer last signed in from. Typically web or app. Typically used to display to the user where the last login was performed.

nationality
​string · minLength: 3 · maxLength: 3

The customers nationality. ISO 3166-1 alpha-3 format

Example: NOR
parentId
​object

Id of the parent customer. Used to connect different customer types.

​PersonnelTicketBearer

The personnel tickets connected to the customer. Deprecated. Does not contain updated information.

​PostalAddressResponse[]

The postal addresses connected to the customer.

The preferences connected to the customer.

relatedCustomerNumbers
​integer[]

The customer number of profiles which has been merged into the current profile. These may be used to lookup customer information in other systems

telephoneNumber
​string · maxLength: 20

Deprecated. Please use countryCode and telephoneNumberNoCountryCode. Telephone number for customer. This should be a cell phone number.

telephoneNumberNoCountryCode
​string · maxLength: 12

Telephone number without country code or punctuation.

telephoneNumberVerifiedAt
​string · date-time

When the telephone number was verified. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
username
​string

Username the customer can use to log unto their profile. Only available on profile type S(tamkunde) and profile status A(ctive)


Find specific E-card

GET
https://api.entur.io/customers/v2
/profiles/{customerNumber}/ecard-ownerships/{ecardOperator}/{ecardNumber}

Get a specific ecard by customer number and ecard information.

Find specific E-card › path Parameters

customerNumber
​integer · int64 · required · style: simple
ecardOperator
​integer · int32 · required · style: simple
ecardNumber
​integer · int64 · required · style: simple

Find specific E-card › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Find specific E-card › Responses

OK

Ecards connected to a customer
changedAt
​string · date-time · required

When the ecard was last changed. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
createdAt
​string · date-time · required

When the ecard was created. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
ecardNumber
​integer · int64 · required

Ecard number.

ecardNumber16digits
​string · minLength: 16 · maxLength: 16 · required

The 16 digit ecard number. A combination of ecardNumber, ecardOperator and control digit.

ecardOperator
​integer · int32 · required

Ecard operator.

id
​integer · int64 · required

Ecard id.

startOfOwnership
​string · date-time · required

When the ecard was first connected to the customer. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
bookingDate
​string · date-time

When the physical ecard was booked. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
ecardName
​string · maxLength: 100

Customer defined ecard alias.

endOfOwnership
​string · date-time

When the customer removed the ecard connection. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
expirationDate
​string · date-time

When the physical ecard expires. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
shippingDate
​string · date-time

When the physical ecard was shipped to the customer. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00

Update E-card registration

PUT
https://api.entur.io/customers/v2
/profiles/{customerNumber}/ecard-ownerships/{ecardOperator}/{ecardNumber}

Update an existing E-card for a customer. Can also be used to set a new owner of the E-card. The internal logic is 'find the customer who owns this E-card. Then, see if this is the same customer who is specified in the URL. If it isn't, move the card to this new customer.' Regardless of whether the card is moved, all fields are overwritten with the supplied info. Also note that it isn't possible to switch the card ownership to a customer from another organisation.

Update E-card registration › path Parameters

customerNumber
​integer · int64 · required · style: simple
ecardOperator
​integer · int32 · required · style: simple
ecardNumber
​integer · int64 · required · style: simple

Update E-card registration › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Update E-card registration › Request Body

Ecards connected to a customer
ecardNumber
​integer · int64 · required

Ecard number.

ecardOperator
​integer · int32 · required

Ecard operator.

startOfOwnership
​string · date-time · required

When the ecard was first connected to the customer. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
bookingDate
​string · date-time

When the physical ecard was booked. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
ecardName
​string · maxLength: 100

Customer defined ecard alias.

ecardNumber16digits
​string · minLength: 16 · maxLength: 16

The 16 digit ecard number. A combination of ecardNumber, ecardOperator and control digit.

endOfOwnership
​string · date-time

When the customer removed the ecard connection. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
expirationDate
​string · date-time

When the physical ecard expires. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
shippingDate
​string · date-time

When the physical ecard was shipped to the customer. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00

Update E-card registration › Responses

OK

Ecards connected to a customer
changedAt
​string · date-time · required

When the ecard was last changed. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
createdAt
​string · date-time · required

When the ecard was created. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
ecardNumber
​integer · int64 · required

Ecard number.

ecardNumber16digits
​string · minLength: 16 · maxLength: 16 · required

The 16 digit ecard number. A combination of ecardNumber, ecardOperator and control digit.

ecardOperator
​integer · int32 · required

Ecard operator.

id
​integer · int64 · required

Ecard id.

startOfOwnership
​string · date-time · required

When the ecard was first connected to the customer. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
bookingDate
​string · date-time

When the physical ecard was booked. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
ecardName
​string · maxLength: 100

Customer defined ecard alias.

endOfOwnership
​string · date-time

When the customer removed the ecard connection. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
expirationDate
​string · date-time

When the physical ecard expires. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
shippingDate
​string · date-time

When the physical ecard was shipped to the customer. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00

Deactivate customer

PUT
https://api.entur.io/customers/v2
/profiles/{customerNumber}/delete

Deactivates a customer. In practice this means mark them for deletion and set the expiration date. Another process is responsible for the actual removal from the database. While a customer is deactivated, it's still possible to look them up, by specifying the includeDeleted flag.

Deactivate customer › path Parameters

customerNumber
​integer · int64 · required · style: simple

Deactivate customer › query Parameters

expirationDate
​string · date-time · style: form · explode: true

Deactivate customer › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Deactivate customer › Responses

OK

A registered customer response
changedAt
​string · date-time · required

When the customer was last changed. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
changedBy
​string · maxLength: 100 · required

Who last changed the customer. Either web, app or username of employee. Used for traceability in accordance with GDPR

changedByChannel
​string · maxLength: 100 · required

Which sales channel or system who last changed the customer. Used for traceability in accordance with GDPR

createdAt
​string · date-time · required

When the customer was created. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
createdBy
​string · maxLength: 100 · required

Who created the customer. Either web, app or username of employee. Used for traceability in accordance with GDPR

createdByChannel
​string · maxLength: 100 · required

Which sales channel or system who created the customer. Used for traceability in accordance with GDPR

customerNumber
​integer · int64 · required

Customer number.

firstName
​string · maxLength: 50 · required

First and middle name.

organisationId
​integer · int64 · required

The organisation the customer is registered with.

profileType
​string · enum · required

Type of profile. Types supported: 'S' = Standard customer, 'P' = Personnel ticket customer, 'T' = Temporary customer. Default is 'S'.

Enum values:
S
P
T
status
​string · enum · required

Customer status. Statuses supported: 'A' = Active, 'P' = Passive, 'D' = Deleted. Default is 'A'.

Enum values:
A
P
D
surname
​string · maxLength: 50 · required

Surname.

uuid
​string · minLength: 32 · maxLength: 32 · required

A universal unique id for the customer. 32 random alphanumeric characters. Not RFC 4122 compliant

Example: 7018222E18CB5C46E05400144FF9F89C
countryCode
​string · maxLength: 4

Telephone number country code, starting with +.

Example: +47
customerAccountId
​string · maxLength: 60

Customer account id used for account based ticketing

Example: XYZ:CustomerAccount:<uuid>
​CustomerAccountResponse[]

Customer accounts used for account based ticketing

​CustomerConsent[]

The legacy consents connected to the customer.

customerRef
​string · maxLength: 40

Optional customer reference. Defaults to customer number if not set.

​LocalDateResponse

Date as object

​LocalDateResponse

Date as object

​EcardOwnershipResponse[]

The ecards connected to the customer.

email
​string · maxLength: 80

Contact email. May become different from username

emailOld
​string · maxLength: 80

When customer is deleted (status='D'), the value of 'email' is moved here to allow creation of a new customer with the same email.

emailVerifiedAt
​string · date-time

When the email was verified. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
expirationDate
​string · date-time

The date when the customers personal data should be deleted. Personal data will be deleted continuously. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
landlineNumber
​string · maxLength: 20

Landline telephone number.

languagePreferenceISO6393
​string · enum

Which language the customer wants information in. ISO 639-3 format. Default is 'NOB'.

Enum values:
NOB
NNO
ENG
lastSignInAt
​string · date-time

When the customer last signed in. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
lastSignInFrom
​string · maxLength: 100

Where the customer last signed in from. Typically web or app. Typically used to display to the user where the last login was performed.

nationality
​string · minLength: 3 · maxLength: 3

The customers nationality. ISO 3166-1 alpha-3 format

Example: NOR
parentId
​object

Id of the parent customer. Used to connect different customer types.

​PersonnelTicketBearer

The personnel tickets connected to the customer. Deprecated. Does not contain updated information.

​PostalAddressResponse[]

The postal addresses connected to the customer.

The preferences connected to the customer.

relatedCustomerNumbers
​integer[]

The customer number of profiles which has been merged into the current profile. These may be used to lookup customer information in other systems

telephoneNumber
​string · maxLength: 20

Deprecated. Please use countryCode and telephoneNumberNoCountryCode. Telephone number for customer. This should be a cell phone number.

telephoneNumberNoCountryCode
​string · maxLength: 12

Telephone number without country code or punctuation.

telephoneNumberVerifiedAt
​string · date-time

When the telephone number was verified. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
username
​string

Username the customer can use to log unto their profile. Only available on profile type S(tamkunde) and profile status A(ctive)


Find customers by parameters

GET
https://api.entur.io/customers/v2
/profiles

A list of customers matching the search criteria. Always includes postalAddresses and personnelTickets if available.

Find customers by parameters › query Parameters

firstName
​string · style: form · explode: true
surname
​string · style: form · explode: true
email
​string · style: form · explode: true
countryCode
​string · style: form · explode: true

Ignored unless telephoneNumberNoCountryCode is also set.

telephoneNumber
​string · style: form · explode: true

Ignored if countryCode and telephoneNumberNoCountryCode are set.

telephoneNumberNoCountryCode
​string · style: form · explode: true

Telephone number with no country code prefix. Ignored unless countryCode is also set.

landlineNumber
​string · style: form · explode: true
dateOfBirth
​string · yyyy-MM-dd · style: form · explode: true
postalAddress
​string · style: form · explode: true
postCode
​string · style: form · explode: true
ticketRightOwner
​string · style: form · explode: true
ticketRightBearer
​string · style: form · explode: true
organisationId
​integer · int64 · style: form · explode: true
maxResultSet
​integer · int32 · style: form · explode: true
includeTemporary
​boolean · style: form · explode: true
Default: false
invoiceOrganisationId
​integer · int64 · style: form · explode: true

Organisation ID from Brønnøysund, for invoice profiles

Find customers by parameters › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Find customers by parameters › Responses

OK

​object[]

Create a customer

POST
https://api.entur.io/customers/v2
/profiles

Creates a new customer in the database. If a customerRef is not specified, one will be assigned. The customerRef and email fields must be unique within an organisation. After the creation is complete, a CREATE event will be posted to the customer-changed queue.

Create a customer › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Create a customer › Request Body

A registered customer post request
createdBy
​string · maxLength: 100 · required

Who created the customer. Either web, app or username of employee. Used for traceability in accordance with GDPR

createdByChannel
​string · maxLength: 100 · required

Which sales channel or system who created the customer. Examples include web, app, crm. Used for traceability in accordance with GDPR

firstName
​string · maxLength: 50 · required

First and middle name.

organisationId
​integer · int64 · required

The organisation the customer is registered with.

surname
​string · maxLength: 50 · required

Surname.

countryCode
​string · maxLength: 4

Telephone number country code, starting with +.

Example: +47
customerRef
​string · minLength: 1 · maxLength: 40

Optional customer reference. Defaults to customer number if not set

dateOfBirth
​string · date

Date of birth. ISO 8601 date format

Example: 2019-04-05
email
​string · maxLength: 80

Email used for contact and potentially also for login.

expirationDate
​string · date-time

The date when the customers personal data should be deleted. Personal data will be deleted continuously. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
landlineNumber
​string · maxLength: 20

Landline telephone number.

languagePreferenceISO6393
​string · enum

Which language the customer wants information in. ISO 639-3 format. Default is 'NOB'.

Enum values:
NOB
NNO
ENG
nationality
​string · minLength: 3 · maxLength: 3

The customers nationality. ISO 3166-1 alpha-3 format

Example: NOR
password
​string · minLength: 1 · maxLength: 100

The users password

​PostalAddressRequest[]

The postal addresses connected to the customer.

profileType
​string · enum

Type of profile. Types supported: 'S' = Standard customer, 'P' = Personnel ticket customer, 'T' = Temporary customer. Default is 'S'.

Enum values:
S
P
T
Default: S
telephoneNumber
​string · maxLength: 20

Deprecated. Please use countryCode and telephoneNumberNoCountryCode. Telephone number for customer. This should be a cell phone number.

telephoneNumberNoCountryCode
​string · maxLength: 12

Telephone number without country code or punctuation.

telephoneNumberVerifiedAt
​string · date-time

When the telephone number was verified. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00

Create a customer › Responses

OK

A registered customer response
changedAt
​string · date-time · required

When the customer was last changed. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
changedBy
​string · maxLength: 100 · required

Who last changed the customer. Either web, app or username of employee. Used for traceability in accordance with GDPR

changedByChannel
​string · maxLength: 100 · required

Which sales channel or system who last changed the customer. Used for traceability in accordance with GDPR

createdAt
​string · date-time · required

When the customer was created. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
createdBy
​string · maxLength: 100 · required

Who created the customer. Either web, app or username of employee. Used for traceability in accordance with GDPR

createdByChannel
​string · maxLength: 100 · required

Which sales channel or system who created the customer. Used for traceability in accordance with GDPR

customerNumber
​integer · int64 · required

Customer number.

firstName
​string · maxLength: 50 · required

First and middle name.

organisationId
​integer · int64 · required

The organisation the customer is registered with.

profileType
​string · enum · required

Type of profile. Types supported: 'S' = Standard customer, 'P' = Personnel ticket customer, 'T' = Temporary customer. Default is 'S'.

Enum values:
S
P
T
status
​string · enum · required

Customer status. Statuses supported: 'A' = Active, 'P' = Passive, 'D' = Deleted. Default is 'A'.

Enum values:
A
P
D
surname
​string · maxLength: 50 · required

Surname.

uuid
​string · minLength: 32 · maxLength: 32 · required

A universal unique id for the customer. 32 random alphanumeric characters. Not RFC 4122 compliant

Example: 7018222E18CB5C46E05400144FF9F89C
countryCode
​string · maxLength: 4

Telephone number country code, starting with +.

Example: +47
customerAccountId
​string · maxLength: 60

Customer account id used for account based ticketing

Example: XYZ:CustomerAccount:<uuid>
​CustomerAccountResponse[]

Customer accounts used for account based ticketing

​CustomerConsent[]

The legacy consents connected to the customer.

customerRef
​string · maxLength: 40

Optional customer reference. Defaults to customer number if not set.

​LocalDateResponse

Date as object

​LocalDateResponse

Date as object

​EcardOwnershipResponse[]

The ecards connected to the customer.

email
​string · maxLength: 80

Contact email. May become different from username

emailOld
​string · maxLength: 80

When customer is deleted (status='D'), the value of 'email' is moved here to allow creation of a new customer with the same email.

emailVerifiedAt
​string · date-time

When the email was verified. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
expirationDate
​string · date-time

The date when the customers personal data should be deleted. Personal data will be deleted continuously. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
landlineNumber
​string · maxLength: 20

Landline telephone number.

languagePreferenceISO6393
​string · enum

Which language the customer wants information in. ISO 639-3 format. Default is 'NOB'.

Enum values:
NOB
NNO
ENG
lastSignInAt
​string · date-time

When the customer last signed in. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
lastSignInFrom
​string · maxLength: 100

Where the customer last signed in from. Typically web or app. Typically used to display to the user where the last login was performed.

nationality
​string · minLength: 3 · maxLength: 3

The customers nationality. ISO 3166-1 alpha-3 format

Example: NOR
parentId
​object

Id of the parent customer. Used to connect different customer types.

​PersonnelTicketBearer

The personnel tickets connected to the customer. Deprecated. Does not contain updated information.

​PostalAddressResponse[]

The postal addresses connected to the customer.

The preferences connected to the customer.

relatedCustomerNumbers
​integer[]

The customer number of profiles which has been merged into the current profile. These may be used to lookup customer information in other systems

telephoneNumber
​string · maxLength: 20

Deprecated. Please use countryCode and telephoneNumberNoCountryCode. Telephone number for customer. This should be a cell phone number.

telephoneNumberNoCountryCode
​string · maxLength: 12

Telephone number without country code or punctuation.

telephoneNumberVerifiedAt
​string · date-time

When the telephone number was verified. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
username
​string

Username the customer can use to log unto their profile. Only available on profile type S(tamkunde) and profile status A(ctive)


Connect a profile to a permanent profile

POST
https://api.entur.io/customers/v2
/profiles/{customerNumber}/related-customer-numbers

Connects a profile a permanent profile. A temporary (T) or permanent (S) profile can be connected to a permanent profile (S). This is typically used when a customer has created a temporary profile to purchase a ticket, and later wants to connect this profile to their permanent profile. Both profiles need to be active.

Connect a profile to a permanent profile › path Parameters

customerNumber
​integer · int64 · required · style: simple

Connect a profile to a permanent profile › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Connect a profile to a permanent profile › Request Body

Request to connect a profile to another profile
changedByChannel
​string · required

Which sales channel or system who last changed the customer. Used for traceability in accordance with GDPR

customerNumberToConnect
​integer · int64

Customer number of the profile to connect

Example: 123456

Connect a profile to a permanent profile › Responses

OK

Connected temporary profiles for a profile
changedAt
​string · date-time · required

When the list of connected profiles was last changed. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
relatedCustomerNumbers
​integer[] · required

Customer numbers for temporary profiles that is connected to a profile


Create a new postal address

POST
https://api.entur.io/customers/v2
/profiles/{customerNumber}/postal-addresses

Create a new postal address for the customer.

Create a new postal address › path Parameters

customerNumber
​integer · int64 · required · style: simple

Create a new postal address › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Create a new postal address › Request Body

Postal address connected to a customer
countryCode
​string · minLength: 3 · maxLength: 3 · required

The address country code. ISO 3166-1 alpha-3 format

Example: NOR
postCode
​string · maxLength: 10 · required

The address post code. Only 4 digits for Norwegian addresses.

town
​string · required

The address post town. Will be required

typeOfAddress
​string · enum · required

The type of address. Types supported: 'P' = Private, 'I' = Invoice, 'S' = Shadow.

Enum values:
P
I
S
addressLine1
​string · maxLength: 80

Address line 1.

addressLine2
​string · maxLength: 80

Address line 2, often used for c/o information.

id
​integer · int64

Unique id for postal address. This value is exclusively used when updating a full customer, to identify which of the addresses to update. Otherwise it is ignored.

verifiedAt
​string · date-time

When the address was verified. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00

Create a new postal address › Responses

OK

Postal address connected to a customer
changedAt
​string · date-time · required

When the postal address was last changed. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
countryCode
​string · minLength: 3 · maxLength: 3 · required

The address country code. ISO 3166-1 alpha-3 format

Example: NOR
createdAt
​string · date-time · required

When the postal address was created. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
customerId
​integer · int64 · required

The customer connected to the address.

id
​integer · int64 · required

Postal address id.

postCode
​string · maxLength: 10 · required

The address post code.

town
​string · maxLength: 50 · required

The address post town.

typeOfAddress
​string · enum · required

The type of address. Types supported: 'P' = Private, 'I' = Invoice, 'S' = Shadow.

Enum values:
P
I
S
addressLine1
​string · maxLength: 80

Address line 1.

addressLine2
​string · maxLength: 80

Address line 2, often used for c/o information.

verifiedAt
​string · date-time

When the address was verified. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00

Find all E-cards for customer

GET
https://api.entur.io/customers/v2
/profiles/{customerNumber}/ecard-ownerships

Get all ecard information for the given customer.

Find all E-cards for customer › path Parameters

customerNumber
​integer · int64 · required · style: simple

Find all E-cards for customer › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Find all E-cards for customer › Responses

OK

​object[]

Add E-card to customer

POST
https://api.entur.io/customers/v2
/profiles/{customerNumber}/ecard-ownerships

Create a new E-card registration for the given customer.

Add E-card to customer › path Parameters

customerNumber
​integer · int64 · required · style: simple

Add E-card to customer › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Add E-card to customer › Request Body

Ecards connected to a customer
ecardNumber
​integer · int64 · required

Ecard number.

ecardOperator
​integer · int32 · required

Ecard operator.

startOfOwnership
​string · date-time · required

When the ecard was first connected to the customer. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
bookingDate
​string · date-time

When the physical ecard was booked. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
ecardName
​string · maxLength: 100

Customer defined ecard alias.

ecardNumber16digits
​string · minLength: 16 · maxLength: 16

The 16 digit ecard number. A combination of ecardNumber, ecardOperator and control digit.

endOfOwnership
​string · date-time

When the customer removed the ecard connection. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
expirationDate
​string · date-time

When the physical ecard expires. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
shippingDate
​string · date-time

When the physical ecard was shipped to the customer. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00

Add E-card to customer › Responses

OK

Ecards connected to a customer
changedAt
​string · date-time · required

When the ecard was last changed. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
createdAt
​string · date-time · required

When the ecard was created. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
ecardNumber
​integer · int64 · required

Ecard number.

ecardNumber16digits
​string · minLength: 16 · maxLength: 16 · required

The 16 digit ecard number. A combination of ecardNumber, ecardOperator and control digit.

ecardOperator
​integer · int32 · required

Ecard operator.

id
​integer · int64 · required

Ecard id.

startOfOwnership
​string · date-time · required

When the ecard was first connected to the customer. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
bookingDate
​string · date-time

When the physical ecard was booked. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
ecardName
​string · maxLength: 100

Customer defined ecard alias.

endOfOwnership
​string · date-time

When the customer removed the ecard connection. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
expirationDate
​string · date-time

When the physical ecard expires. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
shippingDate
​string · date-time

When the physical ecard was shipped to the customer. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00

Get many customers by customerNumbers

POST
https://api.entur.io/customers/v2
/profiles/get-by/bulk

Get customer profile data for the provided customer numbers or customer references. The list is filtered based on the organisationId of the logged inn user. If both customer numbers and customer references is passed then customer numbers will be used, unless customer numbers is an empty list while customer references is a non-empty list.

Get many customers by customerNumbers › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Get many customers by customerNumbers › Request Body

A request for multiple customers.
customerNumbers
​integer[]

Customer numbers to look up. Max 1000 numbers at a time.

customerReferences
​string[]

Customer references (aka external references) to look up. Will not be used if non-empty list of customer numbers is provided. Max 1000 references at a time.

includePreferences
​boolean

Optional flag to include profile preferences

Get many customers by customerNumbers › Responses

OK

A registered customer response
changedAt
​string · date-time · required

When the customer was last changed. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
changedBy
​string · maxLength: 100 · required

Who last changed the customer. Either web, app or username of employee. Used for traceability in accordance with GDPR

changedByChannel
​string · maxLength: 100 · required

Which sales channel or system who last changed the customer. Used for traceability in accordance with GDPR

createdAt
​string · date-time · required

When the customer was created. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
createdBy
​string · maxLength: 100 · required

Who created the customer. Either web, app or username of employee. Used for traceability in accordance with GDPR

createdByChannel
​string · maxLength: 100 · required

Which sales channel or system who created the customer. Used for traceability in accordance with GDPR

customerNumber
​integer · int64 · required

Customer number.

firstName
​string · maxLength: 50 · required

First and middle name.

organisationId
​integer · int64 · required

The organisation the customer is registered with.

profileType
​string · enum · required

Type of profile. Types supported: 'S' = Standard customer, 'P' = Personnel ticket customer, 'T' = Temporary customer. Default is 'S'.

Enum values:
S
P
T
status
​string · enum · required

Customer status. Statuses supported: 'A' = Active, 'P' = Passive, 'D' = Deleted. Default is 'A'.

Enum values:
A
P
D
surname
​string · maxLength: 50 · required

Surname.

uuid
​string · minLength: 32 · maxLength: 32 · required

A universal unique id for the customer. 32 random alphanumeric characters. Not RFC 4122 compliant

Example: 7018222E18CB5C46E05400144FF9F89C
countryCode
​string · maxLength: 4

Telephone number country code, starting with +.

Example: +47
customerAccountId
​string · maxLength: 60

Customer account id used for account based ticketing

Example: XYZ:CustomerAccount:<uuid>
​CustomerAccountResponse[]

Customer accounts used for account based ticketing

​CustomerConsent[]

The legacy consents connected to the customer.

customerRef
​string · maxLength: 40

Optional customer reference. Defaults to customer number if not set.

​LocalDateResponse

Date as object

​LocalDateResponse

Date as object

​EcardOwnershipResponse[]

The ecards connected to the customer.

email
​string · maxLength: 80

Contact email. May become different from username

emailOld
​string · maxLength: 80

When customer is deleted (status='D'), the value of 'email' is moved here to allow creation of a new customer with the same email.

emailVerifiedAt
​string · date-time

When the email was verified. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
expirationDate
​string · date-time

The date when the customers personal data should be deleted. Personal data will be deleted continuously. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
landlineNumber
​string · maxLength: 20

Landline telephone number.

languagePreferenceISO6393
​string · enum

Which language the customer wants information in. ISO 639-3 format. Default is 'NOB'.

Enum values:
NOB
NNO
ENG
lastSignInAt
​string · date-time

When the customer last signed in. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
lastSignInFrom
​string · maxLength: 100

Where the customer last signed in from. Typically web or app. Typically used to display to the user where the last login was performed.

nationality
​string · minLength: 3 · maxLength: 3

The customers nationality. ISO 3166-1 alpha-3 format

Example: NOR
parentId
​object

Id of the parent customer. Used to connect different customer types.

​PersonnelTicketBearer

The personnel tickets connected to the customer. Deprecated. Does not contain updated information.

​PostalAddressResponse[]

The postal addresses connected to the customer.

The preferences connected to the customer.

relatedCustomerNumbers
​integer[]

The customer number of profiles which has been merged into the current profile. These may be used to lookup customer information in other systems

telephoneNumber
​string · maxLength: 20

Deprecated. Please use countryCode and telephoneNumberNoCountryCode. Telephone number for customer. This should be a cell phone number.

telephoneNumberNoCountryCode
​string · maxLength: 12

Telephone number without country code or punctuation.

telephoneNumberVerifiedAt
​string · date-time

When the telephone number was verified. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
username
​string

Username the customer can use to log unto their profile. Only available on profile type S(tamkunde) and profile status A(ctive)


Get contact details for many customers by customer number

POST
https://api.entur.io/customers/v2
/profiles/get-by/bulk/contact-details

Lightweight bulk lookup returning only email and telephone number for the given customer numbers. Max 1000 customer numbers per call.

Get contact details for many customers by customer number › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Get contact details for many customers by customer number › Request Body

A request for contact details for multiple customers.
customerNumbers
​integer[]

Customer numbers to look up. Max 1000 numbers at a time.

Get contact details for many customers by customer number › Responses

OK

Contact details for a customer.
countryCode
​string

The customer's telephone country code (e.g. '+47'), if set.

customerNumber
​integer · int64

The customer's customer number.

email
​string

The customer's email address, if set.

telephoneNumberNoCountryCode
​string

The customer's telephone number without country code, if set.


Find customer by UUID

GET
https://api.entur.io/customers/v2
/profiles/{uuid}/by-uuid

Gets a customer with related information, even if this customer has been deleted (though, in this case, that is all you're told). Like in the lookup by customerNumber, if the customer has been merged into another, you will get the active customer.

Find customer by UUID › path Parameters

uuid
​string · required · style: simple

Find customer by UUID › query Parameters

includeECards
​boolean · style: form · explode: true
includePersonnelTicket
​boolean · style: form · explode: true
includePreferences
​boolean · style: form · explode: true
includeDeleted
​boolean · style: form · explode: true
includeNotes
​boolean · style: form · explode: true

Find customer by UUID › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Find customer by UUID › Responses

OK

A registered customer response
changedAt
​string · date-time · required

When the customer was last changed. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
changedBy
​string · maxLength: 100 · required

Who last changed the customer. Either web, app or username of employee. Used for traceability in accordance with GDPR

changedByChannel
​string · maxLength: 100 · required

Which sales channel or system who last changed the customer. Used for traceability in accordance with GDPR

createdAt
​string · date-time · required

When the customer was created. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
createdBy
​string · maxLength: 100 · required

Who created the customer. Either web, app or username of employee. Used for traceability in accordance with GDPR

createdByChannel
​string · maxLength: 100 · required

Which sales channel or system who created the customer. Used for traceability in accordance with GDPR

customerNumber
​integer · int64 · required

Customer number.

firstName
​string · maxLength: 50 · required

First and middle name.

organisationId
​integer · int64 · required

The organisation the customer is registered with.

profileType
​string · enum · required

Type of profile. Types supported: 'S' = Standard customer, 'P' = Personnel ticket customer, 'T' = Temporary customer. Default is 'S'.

Enum values:
S
P
T
status
​string · enum · required

Customer status. Statuses supported: 'A' = Active, 'P' = Passive, 'D' = Deleted. Default is 'A'.

Enum values:
A
P
D
surname
​string · maxLength: 50 · required

Surname.

uuid
​string · minLength: 32 · maxLength: 32 · required

A universal unique id for the customer. 32 random alphanumeric characters. Not RFC 4122 compliant

Example: 7018222E18CB5C46E05400144FF9F89C
countryCode
​string · maxLength: 4

Telephone number country code, starting with +.

Example: +47
customerAccountId
​string · maxLength: 60

Customer account id used for account based ticketing

Example: XYZ:CustomerAccount:<uuid>
​CustomerAccountResponse[]

Customer accounts used for account based ticketing

​CustomerConsent[]

The legacy consents connected to the customer.

customerRef
​string · maxLength: 40

Optional customer reference. Defaults to customer number if not set.

​LocalDateResponse

Date as object

​LocalDateResponse

Date as object

​EcardOwnershipResponse[]

The ecards connected to the customer.

email
​string · maxLength: 80

Contact email. May become different from username

emailOld
​string · maxLength: 80

When customer is deleted (status='D'), the value of 'email' is moved here to allow creation of a new customer with the same email.

emailVerifiedAt
​string · date-time

When the email was verified. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
expirationDate
​string · date-time

The date when the customers personal data should be deleted. Personal data will be deleted continuously. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
landlineNumber
​string · maxLength: 20

Landline telephone number.

languagePreferenceISO6393
​string · enum

Which language the customer wants information in. ISO 639-3 format. Default is 'NOB'.

Enum values:
NOB
NNO
ENG
lastSignInAt
​string · date-time

When the customer last signed in. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
lastSignInFrom
​string · maxLength: 100

Where the customer last signed in from. Typically web or app. Typically used to display to the user where the last login was performed.

nationality
​string · minLength: 3 · maxLength: 3

The customers nationality. ISO 3166-1 alpha-3 format

Example: NOR
parentId
​object

Id of the parent customer. Used to connect different customer types.

​PersonnelTicketBearer

The personnel tickets connected to the customer. Deprecated. Does not contain updated information.

​PostalAddressResponse[]

The postal addresses connected to the customer.

The preferences connected to the customer.

relatedCustomerNumbers
​integer[]

The customer number of profiles which has been merged into the current profile. These may be used to lookup customer information in other systems

telephoneNumber
​string · maxLength: 20

Deprecated. Please use countryCode and telephoneNumberNoCountryCode. Telephone number for customer. This should be a cell phone number.

telephoneNumberNoCountryCode
​string · maxLength: 12

Telephone number without country code or punctuation.

telephoneNumberVerifiedAt
​string · date-time

When the telephone number was verified. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
username
​string

Username the customer can use to log unto their profile. Only available on profile type S(tamkunde) and profile status A(ctive)


Find Customer by organisation and username

GET
https://api.entur.io/customers/v2
/profiles/{organisationId}/{username}/by-org-and-email

Look up a customer with related information using the username for the profile. Within an organisation, email address is unique. Unlike the other lookups, this might return a passive customer or a customer created only for personnel ticket connection.

Find Customer by organisation and username › path Parameters

organisationId
​integer · int64 · required · style: simple
username
​string · required · style: simple

Find Customer by organisation and username › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Find Customer by organisation and username › Responses

OK

A registered customer response
changedAt
​string · date-time · required

When the customer was last changed. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
changedBy
​string · maxLength: 100 · required

Who last changed the customer. Either web, app or username of employee. Used for traceability in accordance with GDPR

changedByChannel
​string · maxLength: 100 · required

Which sales channel or system who last changed the customer. Used for traceability in accordance with GDPR

createdAt
​string · date-time · required

When the customer was created. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
createdBy
​string · maxLength: 100 · required

Who created the customer. Either web, app or username of employee. Used for traceability in accordance with GDPR

createdByChannel
​string · maxLength: 100 · required

Which sales channel or system who created the customer. Used for traceability in accordance with GDPR

customerNumber
​integer · int64 · required

Customer number.

firstName
​string · maxLength: 50 · required

First and middle name.

organisationId
​integer · int64 · required

The organisation the customer is registered with.

profileType
​string · enum · required

Type of profile. Types supported: 'S' = Standard customer, 'P' = Personnel ticket customer, 'T' = Temporary customer. Default is 'S'.

Enum values:
S
P
T
status
​string · enum · required

Customer status. Statuses supported: 'A' = Active, 'P' = Passive, 'D' = Deleted. Default is 'A'.

Enum values:
A
P
D
surname
​string · maxLength: 50 · required

Surname.

uuid
​string · minLength: 32 · maxLength: 32 · required

A universal unique id for the customer. 32 random alphanumeric characters. Not RFC 4122 compliant

Example: 7018222E18CB5C46E05400144FF9F89C
countryCode
​string · maxLength: 4

Telephone number country code, starting with +.

Example: +47
customerAccountId
​string · maxLength: 60

Customer account id used for account based ticketing

Example: XYZ:CustomerAccount:<uuid>
​CustomerAccountResponse[]

Customer accounts used for account based ticketing

​CustomerConsent[]

The legacy consents connected to the customer.

customerRef
​string · maxLength: 40

Optional customer reference. Defaults to customer number if not set.

​LocalDateResponse

Date as object

​LocalDateResponse

Date as object

​EcardOwnershipResponse[]

The ecards connected to the customer.

email
​string · maxLength: 80

Contact email. May become different from username

emailOld
​string · maxLength: 80

When customer is deleted (status='D'), the value of 'email' is moved here to allow creation of a new customer with the same email.

emailVerifiedAt
​string · date-time

When the email was verified. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
expirationDate
​string · date-time

The date when the customers personal data should be deleted. Personal data will be deleted continuously. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
landlineNumber
​string · maxLength: 20

Landline telephone number.

languagePreferenceISO6393
​string · enum

Which language the customer wants information in. ISO 639-3 format. Default is 'NOB'.

Enum values:
NOB
NNO
ENG
lastSignInAt
​string · date-time

When the customer last signed in. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
lastSignInFrom
​string · maxLength: 100

Where the customer last signed in from. Typically web or app. Typically used to display to the user where the last login was performed.

nationality
​string · minLength: 3 · maxLength: 3

The customers nationality. ISO 3166-1 alpha-3 format

Example: NOR
parentId
​object

Id of the parent customer. Used to connect different customer types.

​PersonnelTicketBearer

The personnel tickets connected to the customer. Deprecated. Does not contain updated information.

​PostalAddressResponse[]

The postal addresses connected to the customer.

The preferences connected to the customer.

relatedCustomerNumbers
​integer[]

The customer number of profiles which has been merged into the current profile. These may be used to lookup customer information in other systems

telephoneNumber
​string · maxLength: 20

Deprecated. Please use countryCode and telephoneNumberNoCountryCode. Telephone number for customer. This should be a cell phone number.

telephoneNumberNoCountryCode
​string · maxLength: 12

Telephone number without country code or punctuation.

telephoneNumberVerifiedAt
​string · date-time

When the telephone number was verified. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
username
​string

Username the customer can use to log unto their profile. Only available on profile type S(tamkunde) and profile status A(ctive)


Find customer by E-card number

GET
https://api.entur.io/customers/v2
/profiles/{ecardNumber}/by-ecard

Accepts both 16 digit and 10 digit ecard numbers. Gets a customer with related information. Like in the lookup by customerNumber, if the customer has been merged into another, you will get the active customer.

Find customer by E-card number › path Parameters

ecardNumber
​string · required · style: simple

Find customer by E-card number › query Parameters

includeECards
​boolean · style: form · explode: true
includePersonnelTicket
​boolean · style: form · explode: true
includePreferences
​boolean · style: form · explode: true
includeDeleted
​boolean · style: form · explode: true
includeNotes
​boolean · style: form · explode: true

Find customer by E-card number › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Find customer by E-card number › Responses

OK

A registered customer response
changedAt
​string · date-time · required

When the customer was last changed. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
changedBy
​string · maxLength: 100 · required

Who last changed the customer. Either web, app or username of employee. Used for traceability in accordance with GDPR

changedByChannel
​string · maxLength: 100 · required

Which sales channel or system who last changed the customer. Used for traceability in accordance with GDPR

createdAt
​string · date-time · required

When the customer was created. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
createdBy
​string · maxLength: 100 · required

Who created the customer. Either web, app or username of employee. Used for traceability in accordance with GDPR

createdByChannel
​string · maxLength: 100 · required

Which sales channel or system who created the customer. Used for traceability in accordance with GDPR

customerNumber
​integer · int64 · required

Customer number.

firstName
​string · maxLength: 50 · required

First and middle name.

organisationId
​integer · int64 · required

The organisation the customer is registered with.

profileType
​string · enum · required

Type of profile. Types supported: 'S' = Standard customer, 'P' = Personnel ticket customer, 'T' = Temporary customer. Default is 'S'.

Enum values:
S
P
T
status
​string · enum · required

Customer status. Statuses supported: 'A' = Active, 'P' = Passive, 'D' = Deleted. Default is 'A'.

Enum values:
A
P
D
surname
​string · maxLength: 50 · required

Surname.

uuid
​string · minLength: 32 · maxLength: 32 · required

A universal unique id for the customer. 32 random alphanumeric characters. Not RFC 4122 compliant

Example: 7018222E18CB5C46E05400144FF9F89C
countryCode
​string · maxLength: 4

Telephone number country code, starting with +.

Example: +47
customerAccountId
​string · maxLength: 60

Customer account id used for account based ticketing

Example: XYZ:CustomerAccount:<uuid>
​CustomerAccountResponse[]

Customer accounts used for account based ticketing

​CustomerConsent[]

The legacy consents connected to the customer.

customerRef
​string · maxLength: 40

Optional customer reference. Defaults to customer number if not set.

​LocalDateResponse

Date as object

​LocalDateResponse

Date as object

​EcardOwnershipResponse[]

The ecards connected to the customer.

email
​string · maxLength: 80

Contact email. May become different from username

emailOld
​string · maxLength: 80

When customer is deleted (status='D'), the value of 'email' is moved here to allow creation of a new customer with the same email.

emailVerifiedAt
​string · date-time

When the email was verified. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
expirationDate
​string · date-time

The date when the customers personal data should be deleted. Personal data will be deleted continuously. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
landlineNumber
​string · maxLength: 20

Landline telephone number.

languagePreferenceISO6393
​string · enum

Which language the customer wants information in. ISO 639-3 format. Default is 'NOB'.

Enum values:
NOB
NNO
ENG
lastSignInAt
​string · date-time

When the customer last signed in. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
lastSignInFrom
​string · maxLength: 100

Where the customer last signed in from. Typically web or app. Typically used to display to the user where the last login was performed.

nationality
​string · minLength: 3 · maxLength: 3

The customers nationality. ISO 3166-1 alpha-3 format

Example: NOR
parentId
​object

Id of the parent customer. Used to connect different customer types.

​PersonnelTicketBearer

The personnel tickets connected to the customer. Deprecated. Does not contain updated information.

​PostalAddressResponse[]

The postal addresses connected to the customer.

The preferences connected to the customer.

relatedCustomerNumbers
​integer[]

The customer number of profiles which has been merged into the current profile. These may be used to lookup customer information in other systems

telephoneNumber
​string · maxLength: 20

Deprecated. Please use countryCode and telephoneNumberNoCountryCode. Telephone number for customer. This should be a cell phone number.

telephoneNumberNoCountryCode
​string · maxLength: 12

Telephone number without country code or punctuation.

telephoneNumberVerifiedAt
​string · date-time

When the telephone number was verified. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
username
​string

Username the customer can use to log unto their profile. Only available on profile type S(tamkunde) and profile status A(ctive)


Find customer by customer reference

GET
https://api.entur.io/customers/v2
/profiles/{customerReference}/by-customer-reference

Gets a customer with related information. If the passed customer reference is for a merged and passive customer, the result will instead be the active, merged customer. Thus, you may find a customer with a different customer reference than you specified in the URL.

Find customer by customer reference › path Parameters

customerReference
​string · required · style: simple

Find customer by customer reference › query Parameters

includeECards
​boolean · style: form · explode: true
includePersonnelTicket
​boolean · style: form · explode: true
includePreferences
​boolean · style: form · explode: true
includeDeleted
​boolean · style: form · explode: true
includeNotes
​boolean · style: form · explode: true
organisationId
​integer · int64 · style: form · explode: true

Find customer by customer reference › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Find customer by customer reference › Responses

OK

A registered customer response
changedAt
​string · date-time · required

When the customer was last changed. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
changedBy
​string · maxLength: 100 · required

Who last changed the customer. Either web, app or username of employee. Used for traceability in accordance with GDPR

changedByChannel
​string · maxLength: 100 · required

Which sales channel or system who last changed the customer. Used for traceability in accordance with GDPR

createdAt
​string · date-time · required

When the customer was created. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
createdBy
​string · maxLength: 100 · required

Who created the customer. Either web, app or username of employee. Used for traceability in accordance with GDPR

createdByChannel
​string · maxLength: 100 · required

Which sales channel or system who created the customer. Used for traceability in accordance with GDPR

customerNumber
​integer · int64 · required

Customer number.

firstName
​string · maxLength: 50 · required

First and middle name.

organisationId
​integer · int64 · required

The organisation the customer is registered with.

profileType
​string · enum · required

Type of profile. Types supported: 'S' = Standard customer, 'P' = Personnel ticket customer, 'T' = Temporary customer. Default is 'S'.

Enum values:
S
P
T
status
​string · enum · required

Customer status. Statuses supported: 'A' = Active, 'P' = Passive, 'D' = Deleted. Default is 'A'.

Enum values:
A
P
D
surname
​string · maxLength: 50 · required

Surname.

uuid
​string · minLength: 32 · maxLength: 32 · required

A universal unique id for the customer. 32 random alphanumeric characters. Not RFC 4122 compliant

Example: 7018222E18CB5C46E05400144FF9F89C
countryCode
​string · maxLength: 4

Telephone number country code, starting with +.

Example: +47
customerAccountId
​string · maxLength: 60

Customer account id used for account based ticketing

Example: XYZ:CustomerAccount:<uuid>
​CustomerAccountResponse[]

Customer accounts used for account based ticketing

​CustomerConsent[]

The legacy consents connected to the customer.

customerRef
​string · maxLength: 40

Optional customer reference. Defaults to customer number if not set.

​LocalDateResponse

Date as object

​LocalDateResponse

Date as object

​EcardOwnershipResponse[]

The ecards connected to the customer.

email
​string · maxLength: 80

Contact email. May become different from username

emailOld
​string · maxLength: 80

When customer is deleted (status='D'), the value of 'email' is moved here to allow creation of a new customer with the same email.

emailVerifiedAt
​string · date-time

When the email was verified. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
expirationDate
​string · date-time

The date when the customers personal data should be deleted. Personal data will be deleted continuously. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
landlineNumber
​string · maxLength: 20

Landline telephone number.

languagePreferenceISO6393
​string · enum

Which language the customer wants information in. ISO 639-3 format. Default is 'NOB'.

Enum values:
NOB
NNO
ENG
lastSignInAt
​string · date-time

When the customer last signed in. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
lastSignInFrom
​string · maxLength: 100

Where the customer last signed in from. Typically web or app. Typically used to display to the user where the last login was performed.

nationality
​string · minLength: 3 · maxLength: 3

The customers nationality. ISO 3166-1 alpha-3 format

Example: NOR
parentId
​object

Id of the parent customer. Used to connect different customer types.

​PersonnelTicketBearer

The personnel tickets connected to the customer. Deprecated. Does not contain updated information.

​PostalAddressResponse[]

The postal addresses connected to the customer.

The preferences connected to the customer.

relatedCustomerNumbers
​integer[]

The customer number of profiles which has been merged into the current profile. These may be used to lookup customer information in other systems

telephoneNumber
​string · maxLength: 20

Deprecated. Please use countryCode and telephoneNumberNoCountryCode. Telephone number for customer. This should be a cell phone number.

telephoneNumberNoCountryCode
​string · maxLength: 12

Telephone number without country code or punctuation.

telephoneNumberVerifiedAt
​string · date-time

When the telephone number was verified. ISO 8601 date format

Example: 2019-04-05T14:30:30+02:00
username
​string

Username the customer can use to log unto their profile. Only available on profile type S(tamkunde) and profile status A(ctive)


Find customers by parameters, paginated

GET
https://api.entur.io/customers/v2
/profiles-search

A paginated list of customers matching the search criteria. Always includes postalAddresses and personnelTickets if available.

Find customers by parameters, paginated › query Parameters

firstName
​string · style: form · explode: true
surname
​string · style: form · explode: true
email
​string · style: form · explode: true
countryCode
​string · style: form · explode: true

Ignored unless telephoneNumberNoCountryCode is also set.

telephoneNumber
​string · style: form · explode: true

Ignored if countryCode and telephoneNumberNoCountryCode are set.

telephoneNumberNoCountryCode
​string · style: form · explode: true

Telephone number with no country code prefix. Ignored unless countryCode is also set.

landlineNumber
​string · style: form · explode: true
dateOfBirth
​string · yyyy-MM-dd · style: form · explode: true
postalAddress
​string · style: form · explode: true
postCode
​string · style: form · explode: true
ticketRightOwner
​string · style: form · explode: true
ticketRightBearer
​string · style: form · explode: true
organisationId
[...]
